# Uses of Class
org.eclipse.birt.report.model.api.SharedStyleHandle

Packages that use SharedStyleHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.css

## Uses of SharedStyleHandle in org.eclipse.birt.report.model.api

Subclasses of SharedStyleHandle in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`CssSharedStyleHandle`
Css shared style handle.
Methods in org.eclipse.birt.report.model.api that return SharedStyleHandle
Modifier and Type
Method
Description
`final SharedStyleHandle`
ModuleHandleImpl.`findNativeStyle(String name)`
Finds a style by its name in this module.
`final SharedStyleHandle`
ModuleHandleImpl.`findStyle(String name)`
Finds a style by its name in this module and the included modules.
`SharedStyleHandle`
DesignElementHandle.`getStyle()`
Returns the shared style, if any, as a style handle.
Methods in org.eclipse.birt.report.model.api with parameters of type SharedStyleHandle
Modifier and Type
Method
Description
`void`
ContentElementHandle.`setStyle(SharedStyleHandle style)`
`void`
DesignElementHandle.`setStyle(SharedStyleHandle style)`
Sets the shared style element for this element.
Method parameters in org.eclipse.birt.report.model.api with type arguments of type SharedStyleHandle
Modifier and Type
Method
Description
`void`
ReportItemThemeHandle.`importCssStyles(CssStyleSheetHandle stylesheet, List<SharedStyleHandle> selectedStyles)`
Imports the selected styles in a `CssStyleSheetHandle` to the given theme of the library.

## Uses of SharedStyleHandle in org.eclipse.birt.report.model.api.css

Methods in org.eclipse.birt.report.model.api.css that return SharedStyleHandle
Modifier and Type
Method
Description
`SharedStyleHandle`
CssStyleSheetHandle.`findStyle(String name)`
Gets a style handle with the given name in the style sheet.